SQ(1)

NAME
sq inspect - Inspect data, like file(1)

SYNOPSIS
sq inspect [OPTIONS] FILE

DESCRIPTION
Inspect data, like file(1).

It is often difficult to tell from cursory inspection using cat(1) or file(1) what kind of OpenPGP one is looking at. This subcommand inspects the data and provides a meaningful human-readable description of it.

`sq inspect` respects the reference time set by the top-level `--time` argument. It uses the reference time when determining what binding signatures are active.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Inspect certificates with the specified fingerprint or key ID

--cert-domain=DOMAIN
    Inspect certificates where a user ID includes an email address for the specified domain (note: User IDs are not authenticated)

--cert-email=EMAIL
    Inspect certificates where a user ID includes the specified email address (note: User IDs are not authenticated)

--cert-file=PATH
    Read certificates from PATH

--cert-grep=PATTERN
    Inspect certificates with a user ID that matches the pattern, case insensitively (note: User IDs are not authenticated)

--cert-userid=USERID
    Inspect certificates with the specified user ID (note: User IDs are not authenticated)

--certifications
    Print third-party certifications

--dump-bad-signatures
    Dump signatures that are definitively bad

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Inspect a certificate.

    sq inspect juliet.pgp

Show how the certificate looked on July 21, 2013.

    sq inspect --time 20130721 juliet.pgp

Inspect an encrypted message.

    sq inspect message.pgp

Inspect a detached signature.

    sq inspect document.sig

SEE ALSO
sq(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.2.0 (sequoia-openpgp 1.22.0)